New SpeakerPhat no sound


#1

The lights work just fine but when I try to play sound I get this error

Unable to determine hardware version. I see: Hardware : BCM 2835

  • expecting BCM2708 or BCM2709

If this is a genuine Raspberry Pi then please report this to projects@drogon.net… etc etc

This seems like a wiring pi issue. I used this repo https://github.com/pimoroni/speaker-phat

Is there something I need to do?


#2

I’m going to piggy back on this saying that I am experiencing the same problem with the speakerphat. I should note I’m on rasbian sketch and I was curious of the speakerphat library supported sketch as it is newer than jesse which I was using in the past with a lot of the pi hats.


#3

What version of Raspbian are you (OP) using? Stretch is the recommended distro and I believe what the one line installer is written for.


#4

both of you ran curl -sS https://get.pimoroni.com/speakerphat | bash


#5

I ended up changing out the speaker and I got some sound. I created a new thread for my specific problems.


#6

I just replied to that new thread. ;)


#7

I’m on jessie and I’m seeing this